package me.yuxiaoyao.loader.test;


import me.yuxiaoyao.config.loader.ConfigLoader;

import java.util.Map;

/**
 * @author Kerry on 19/10/28
 */

public class ConfigurationLoaderTest {
    public static void main(String[] args) {

        // 回调告诉最终启用了哪个 profile
        ConfigLoader.parseConfig(args, PropertiesConfig.class, new ConfigLoader.ConfigListener() {
            @Override
            public void activeProfile(String profile) {
                System.out.println("当前active profile = " + profile);
            }
        });

        // 不回调
        final PropertiesConfig propertiesConfig = ConfigLoader.parseConfig(PropertiesConfig.class);

        final Map<String, PropertiesConfig.GwConfigBean.MapKeyBean> cmdMap = propertiesConfig.getGwConfig().getCmdMap();
        cmdMap.forEach((k, v) -> System.out.println("key = [" + k + "]. values = [" + v + "]."));

        System.out.println(propertiesConfig);

    }
}
